"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteAggregationAuthorization_1 = require("../model/operations/DeleteAggregationAuthorization");
var DeleteAggregationAuthorizationCommand = /** @class */ (function () {
    function DeleteAggregationAuthorizationCommand(input) {
        this.input = input;
        this.model = DeleteAggregationAuthorization_1.DeleteAggregationAuthorization;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteAggregationAuthorizationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteAggregationAuthorizationCommand;
}());
exports.DeleteAggregationAuthorizationCommand = DeleteAggregationAuthorizationCommand;
//# sourceMappingURL=DeleteAggregationAuthorizationCommand.js.map