"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDeliveryChannel_1 = require("../model/operations/DeleteDeliveryChannel");
var DeleteDeliveryChannelCommand = /** @class */ (function () {
    function DeleteDeliveryChannelCommand(input) {
        this.input = input;
        this.model = DeleteDeliveryChannel_1.DeleteDeliveryChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDeliveryChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDeliveryChannelCommand;
}());
exports.DeleteDeliveryChannelCommand = DeleteDeliveryChannelCommand;
//# sourceMappingURL=DeleteDeliveryChannelCommand.js.map