"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeliverConfigSnapshot_1 = require("../model/operations/DeliverConfigSnapshot");
var DeliverConfigSnapshotCommand = /** @class */ (function () {
    function DeliverConfigSnapshotCommand(input) {
        this.input = input;
        this.model = DeliverConfigSnapshot_1.DeliverConfigSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeliverConfigSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeliverConfigSnapshotCommand;
}());
exports.DeliverConfigSnapshotCommand = DeliverConfigSnapshotCommand;
//# sourceMappingURL=DeliverConfigSnapshotCommand.js.map