"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutAggregationAuthorization_1 = require("../model/operations/PutAggregationAuthorization");
var PutAggregationAuthorizationCommand = /** @class */ (function () {
    function PutAggregationAuthorizationCommand(input) {
        this.input = input;
        this.model = PutAggregationAuthorization_1.PutAggregationAuthorization;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutAggregationAuthorizationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutAggregationAuthorizationCommand;
}());
exports.PutAggregationAuthorizationCommand = PutAggregationAuthorizationCommand;
//# sourceMappingURL=PutAggregationAuthorizationCommand.js.map