"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutDeliveryChannel_1 = require("../model/operations/PutDeliveryChannel");
var PutDeliveryChannelCommand = /** @class */ (function () {
    function PutDeliveryChannelCommand(input) {
        this.input = input;
        this.model = PutDeliveryChannel_1.PutDeliveryChannel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutDeliveryChannelCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutDeliveryChannelCommand;
}());
exports.PutDeliveryChannelCommand = PutDeliveryChannelCommand;
//# sourceMappingURL=PutDeliveryChannelCommand.js.map