"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartConfigRulesEvaluation_1 = require("../model/operations/StartConfigRulesEvaluation");
var StartConfigRulesEvaluationCommand = /** @class */ (function () {
    function StartConfigRulesEvaluationCommand(input) {
        this.input = input;
        this.model = StartConfigRulesEvaluation_1.StartConfigRulesEvaluation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartConfigRulesEvaluationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartConfigRulesEvaluationCommand;
}());
exports.StartConfigRulesEvaluationCommand = StartConfigRulesEvaluationCommand;
//# sourceMappingURL=StartConfigRulesEvaluationCommand.js.map