"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutOrganizationConfigRuleInput_1 = require("../shapes/PutOrganizationConfigRuleInput");
var PutOrganizationConfigRuleOutput_1 = require("../shapes/PutOrganizationConfigRuleOutput");
var MaxNumberOfOrganizationConfigRulesExceededException_1 = require("../shapes/MaxNumberOfOrganizationConfigRulesExceededException");
var ResourceInUseException_1 = require("../shapes/ResourceInUseException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ValidationException_1 = require("../shapes/ValidationException");
var OrganizationAccessDeniedException_1 = require("../shapes/OrganizationAccessDeniedException");
var NoAvailableOrganizationException_1 = require("../shapes/NoAvailableOrganizationException");
var OrganizationAllFeaturesNotEnabledException_1 = require("../shapes/OrganizationAllFeaturesNotEnabledException");
var InsufficientPermissionsException_1 = require("../shapes/InsufficientPermissionsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutOrganizationConfigRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutOrganizationConfigRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutOrganizationConfigRuleInput_1.PutOrganizationConfigRuleInput
    },
    output: {
        shape: PutOrganizationConfigRuleOutput_1.PutOrganizationConfigRuleOutput
    },
    errors: [
        {
            shape: MaxNumberOfOrganizationConfigRulesExceededException_1.MaxNumberOfOrganizationConfigRulesExceededException
        },
        {
            shape: ResourceInUseException_1.ResourceInUseException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: OrganizationAccessDeniedException_1.OrganizationAccessDeniedException
        },
        {
            shape: NoAvailableOrganizationException_1.NoAvailableOrganizationException
        },
        {
            shape: OrganizationAllFeaturesNotEnabledException_1.OrganizationAllFeaturesNotEnabledException
        },
        {
            shape: InsufficientPermissionsException_1.InsufficientPermissionsException
        }
    ]
};
//# sourceMappingURL=PutOrganizationConfigRule.js.map