"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConfigServiceClient_1 = require("../../ConfigServiceClient");
var DescribeConfigurationRecordersCommand_1 = require("../../commands/DescribeConfigurationRecordersCommand");
var GetResourceConfigHistoryCommand_1 = require("../../commands/GetResourceConfigHistoryCommand");
describe("@aws-sdk/client-config-service-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeConfigurationRecorders should succeed when given correct input", function (done) {
        var client = new ConfigServiceClient_1.ConfigServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeConfigurationRecorders = new DescribeConfigurationRecordersCommand_1.DescribeConfigurationRecordersCommand({});
        client
            .send(describeConfigurationRecorders)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("GetResourceConfigHistory should fail when given bad input", function (done) {
        var client = new ConfigServiceClient_1.ConfigServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getResourceConfigHistory = new GetResourceConfigHistoryCommand_1.GetResourceConfigHistoryCommand({
            resourceType: "fake-type",
            resourceId: "fake-id"
        });
        client
            .send(getResourceConfigHistory)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map